Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ProxyPushSupplier Class Reference

ProxyPushSupplier. More...

`#include <CEC_ProxyPushSupplier.h>`

List of all members.

## Public Types
typedef CosEventChannelAdmin::ProxyPushSupplier_ptr | _ptr_type
typedef CosEventChannelAdmin::ProxyPushSupplier_var | _var_type
## Public Methods
| TAO_CEC_ProxyPushSupplier (TAO_CEC_EventChannel *event_channel)
| constructor...
virtual | ~TAO_CEC_ProxyPushSupplier (void)
| destructor...

## Detailed Description

ProxyPushSupplier.

Implement the CosEventChannelAdmin::ProxyPushSupplier interface, remember that this class is used to communicate with a PushConsumer, so, in effect, this is the ambassador for a consumer inside the event channel. = MEMORY MANAGMENT It does not assume ownership of the TAO_CEC_Dispatching object. It makes a copy of the ConsumerQOS and the consumer object reference. = LOCKING Locking is strategized, the event channel acts as a factory for the locking strategies.

## Member Typedef Documentation

typedef CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_CEC_ProxyPushSupplier::_ptr_type

typedef CosEventChannelAdmin::ProxyPushSupplier_var TAO_CEC_ProxyPushSupplier::_var_type

## Constructor & Destructor Documentation

TAO_CEC_ProxyPushSupplier::TAO_CEC_ProxyPushSupplier | ( | TAO_CEC_EventChannel * | event_channel | ) |

| constructor...

TAO_CEC_ProxyPushSupplier::~TAO_CEC_ProxyPushSupplier | ( | void |  | ) | `[virtual]`

| destructor...

The documentation for this class was generated from the following files:

- CEC_ProxyPushSupplier.h
- CEC_ProxyPushSupplier.cpp